sighting {secr} | R Documentation

## Sighting Attributes

### Description

Extract or replace the `markocc` attribute of a `traps` object that distinguishes marking occasions from sighting occasions. Also, extract or replace the attributes Tu, Tm and Tn of a capthist object, used for storing counts of sightings. All attributes are optional, but Tu, Tm and Tn require markocc to be specified.

### Usage

    markocc(object, ...)
    markocc(object) <- value
    sighting(object)
    Tu(object, ...)
    Tu(object) <- value
    Tm(object, ...)
    Tm(object) <- value
    Tn(object, ...)
    Tn(object) <- value

### Arguments

`object` | `traps` object (`markocc`) or capthist object (`Tu`, `Tm`, `Tn`)
`value` | numeric matrix of detectors x occasions, or a vector (see Details)
`...` | other arguments (not used)

### Details

For replacement of markocc, ‘value’ should be a vector of integers indicating the occasions on which animals are sighted only (0) or marked or recaptured (1).

For replacement of `Tu`, `Tm` or `Tn`, ‘value’ may be a scalar (total count) or a detectors x occasions matrix.

### Value

markocc(object) returns the markocc vector of the `traps` object. `markocc(object)` may be NULL.

`Tu`, `Tm` and `Tn` return the respective attributes of a capthist object, or NULL if they are unspecified.

sighting(object) returns TRUE if the markocc attribute indicates at least one sighting-only occasion.

### See Also

`traps`, `addSightings`, `sightingPlot`, secr-markresight.pdf

[Package secr version 3.2.1 Index]